Refund held deposit
curl --request POST \
--url https://cc.nadcab.com/api/v1/account/refundRecharge \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data transfer_id=78ef8cb6-bdd1-4f79-b1a1-62489a8d4e9466333 \
--data address=TEKUmbfUeMmicz7V11rY3nx6ijmsmZk9MJconst options = {
method: 'POST',
headers: {
Authorization: 'Bearer <token>',
'Content-Type': 'application/x-www-form-urlencoded'
},
body: new URLSearchParams({
transfer_id: '78ef8cb6-bdd1-4f79-b1a1-62489a8d4e9466333',
address: 'TEKUmbfUeMmicz7V11rY3nx6ijmsmZk9MJ'
})
};
fetch('https://cc.nadcab.com/api/v1/account/refundRecharge', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://cc.nadcab.com/api/v1/account/refundRecharge"
payload = {
"transfer_id": "78ef8cb6-bdd1-4f79-b1a1-62489a8d4e9466333",
"address": "TEKUmbfUeMmicz7V11rY3nx6ijmsmZk9MJ"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/x-www-form-urlencoded"
}
response = requests.post(url, data=payload, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cc.nadcab.com/api/v1/account/refundRecharge",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => "transfer_id=78ef8cb6-bdd1-4f79-b1a1-62489a8d4e9466333&address=TEKUmbfUeMmicz7V11rY3nx6ijmsmZk9MJ",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/x-www-form-urlencoded"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"code": 200,
"msg": "success",
"data": "40302ed1-9298-4f5c-8f0b-80927b5a523b"
}Account
Refund held deposit
POST
/
account
/
refundRecharge
Refund held deposit
Authorizations
Your API key from Console → Settings → Key & Access, sent as Authorization: Bearer ncl_....
Body
application/x-www-form-urlencoded